var socket = io.connect('http://localhost:6060');

socket.emit('conn',{});

function validar_DNI(data_nd){
	var formData = {
        txtDocumento: data_nd.dni
    };
    var url = 'emitirbvsimp.do?action=validarExistenciaDNICliente';
    $.ajax({
        url: url,
        type: "POST",
        data: formData,
        dataType: 'json',
        success: function (data) {
            if (data.estado == "0") {
                $RUCField.data('pivot-valid', '0');

				data_nd.mensaje = "El dni ingresado no existe";
				data_nd.razon = "";
				data_nd.status = 0;
                socket.emit('validacion',data_nd);
                //alert('El dni ingresado no existe');
                return;
            }
            $razonSocial.val(data.razon_social).closest('.form-group').removeClass('hidden');
            $RUCField.data('pivot-valid', '1');
            $btnContinuar.removeClass('hidden');
            $btnValidarDatosReceptor.addClass('hidden');
            //--
            
			data_nd.mensaje = "Exito";
			data_nd.razon = data.razon_social;
			data_nd.status = 1;
            socket.emit('validacion',data_nd);
        },
        error: function () {
            $RUCField.data('pivot-valid', '0');
            $razonSocial.closest('.form-group').addClass('hidden');
            $btnValidarDatosReceptor.removeClass('hidden');
            $btnContinuar.addClass('hidden');

			data_nd.mensaje = "Error";
			data_nd.razon = "";
			data_nd.status = 0;
            socket.emit('validacion',data_nd);

        },
        complete: function () {
            $modalPreloader.modal('hide');
            $formBoletaDatosReceptor.valid();
        }
    });
}


socket.on('validar',function(data){
	validar_DNI(data);
});
